Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags

  | · Introduction · sqlquery · sqltable · sqloutput

- Programming Tags
- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<sqlquery> |

`<sqlquery>` is defined in the SQL module. Executes a SQL query, but doesn't do anything with the result. This is mostly used for SQL queries that change the contents of the database, for example INSERT or UPDATE.

Attributes |
host, query, quiet, parse,

Attributes

`host`=database
  Which database to connect to, usually a symbolic name. If omitted the default database will be used.

`query`=SQL query
  The actual SQL-query.

`quiet`
  Do not show any errors in the page, in case the query fails.

`parse`
  If specified, the query will be parsed by the RXML parser. Useful if you wish to dynamically build the query.

Example

source code

    <apre foo>Reset the database</apre>

    <if prestate=foo>
     <sqlquery host=test
      query="DELETE from test">
    </if>

result | Reset the database

</dump_if not cookie=rxml-help>